%define name	polyxmass-data
%define version	0.8.2
%define release 1mdk

Name: 	 	%{name}
Summary: 	Data files for polyxmass suite
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.polyxmass.org/polyxmassdata
License:	GPL
Group:		Sciences/Chemistry
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	polyxmass-common
BuildArch:	noarch

%description
Optional polyxmass-data package contains a number of other polymer chemistry
definitions (dna, rna, saccharide) and serves as an example of how interested
user might construct similar packages to bring the  GNU polyxmass software
suite new interesting data (for example from organic chemists working on
synthetic polymers).

%prep
%setup -q
perl -p -i -e 's|install-data-hook|||g' config-files/Makefile.in  

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -fr $RPM_BUILD_ROOT/%_docdir

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/polchem-defs.update-cat
/usr/sbin/polchem-defs-atom-defs.update-dic

%files
%defattr(-,root,root)
%doc AUTHORS README
%{_datadir}/polyxmass/*
%{_libdir}/pkgconfig/*
%config(noreplace) %{_sysconfdir}/polyxmass/polchem-defs
%{_mandir}/man7/*

%changelog
* Sun Dec 12 2004 Austin Acton <austin@mandrake.org> 0.8.2-1mdk
- 0.8.2

* Wed Sep 29 2004 Austin Acton  <austin@mandrake.org> 0.8.0-1mdk
- new name
- 0.8.0

* Sun Feb 22 2004 Austin Acton <austin@mandrake.org> 0.7.0-1mdk
- 0.7.0

* Fri Oct 17 2003 Austin Acton <aacton@yorku.ca> 0.6.1-2mdk
- move config file to /usr (required)

* Wed Oct 15 2003 Austin Acton <aacton@yorku.ca> 0.6.1-1mdk
- initial package
